dcpp:setListener( "ownChat", "chatcleaner",
   function( hub, msg )
	  local s = string.lower( msg )
	       if msg == "<cls" then
                local output = "8-D"..(string.rep("\r\n", 2000))
			    local footer = "\r\n\r\n\t\t\t\t\t\t\t\t...Main Chat Has Been Cleared By: "..hub:getOwnNick().."   ô?ô\r\n"
                DC():PrintDebug("    "..hub:getOwnNick().." is clearing Main Chat...  ô?ô")
		        hub:sendChat("    "..hub:getOwnNick().." is clearing Main Chat...  ô?ô")
		    	hub:sendChat(output..footer..(string.rep("=-", 74)))
                return 1
            end

     end
)

DC():PrintDebug( "  ** Loaded ChatCleaner.lua **" )